Subject: Re: git-show --stat on first commit

From: Jakub Narebski <[email-masked]>
Date: Tue, 21 Nov 2006 21:03:18 +0100

Junio C Hamano wrote:

> Petr Baudis <[email-masked]> writes:
> 
>> On Tue, Nov 21, 2006 at 07:16:44PM CET, Jakub Narebski wrote:
>>..
>>> git repo-config show.difftree --root
>>> git repo-config whatchanged.difftree --root
>>
>> That means extra pointless setup and is besides the point anyway, I was
>> asking about empty commits, not default command settings.
> 
> I agree with you.  Personally, I think:
> 
>  - show is where the user is asking for _that_ particular
>    commit, so it can safely default to --root, always.  No
>    option is needed.

We don't show patch for merges by default in git-show, so I don't
see why we would want to show root commit diff in git-show by default:
those two are very similar.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git